Name:          libgnome-keyring
Version:       3.12.0
Release:       16
Summary:       Program that keeps passwords and other secrets
License:       GPLv2+ and LGPLv2+
URL:           http://live.gnome.org/GnomeKeyring
Source0:       http://download.gnome.org/sources/libgnome-keyring/3.12/%{name}-%{version}.tar.xz

Patch9000:     fix-compile-error.patch
BuildRequires: glib2-devel >= 2.16.0 dbus-devel >= 1.0 libgcrypt-devel >= 1.2.2
BuildRequires: intltool gobject-introspection-devel vala
Conflicts:     gnome-keyring < 2.29.4

%description
gnome-keyring is a daemon in the session, similar to ssh-agent, and other
applications can use it to store passwords and other sensitive information.
The library libgnome-keyring is used by applications to integrate with the
gnome-keyring system.

%package devel
Summary:      Development files for libgnome-keyring
License:      LGPLv2+
Requires:     %{name} = %{version}-%{release}
Conflicts:    gnome-keyring-devel < 2.29.4
Provides:     gnome-keyring-devel = %{version}-%{release}

%description devel
This package contains the libraries and header files needed to develop
applications against libgnome-keyring.

%prep
%autosetup -p1

%build
%configure --disable-gtk-doc --enable-introspection=yes
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
%make_build

%install
%make_install
%delete_la
%find_lang %{name}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README HACKING
%{_libdir}/{lib*.so.*,girepository-1.0}

%files devel
%{_includedir}/*
%{_libdir}/{lib*.so,pkgconfig/*}
%{_datadir}/{gir-1.0,vala/}
%doc %{_datadir}/gtk-doc/

%changelog
* Fri Oct 25 2019 yanzhihua <yanzhihua4@huawei.com> - 3.12.0-16
- Package init
